package com.miaxis.icon.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.icon.mapper.IconInfoMapper;
import com.miaxis.icon.domain.IconInfo;
import com.miaxis.icon.service.IIconInfoService;

/**
 * 题目图标Service业务层处理
 *
 * @author miaxis
 * @date 2022-08-01
 */
@Service
public class IconInfoServiceImpl extends ServiceImpl<IconInfoMapper, IconInfo> implements IIconInfoService {
    @Autowired
    private IconInfoMapper iconInfoMapper;

    /**
     * 查询题目图标列表
     *
     * @param iconInfo 题目图标
     * @return 题目图标
     */
    @Override
    public List<IconInfo> selectIconInfoList(IconInfo iconInfo){
        return iconInfoMapper.selectIconInfoList(iconInfo);
    }
}
